import React, { useState, useEffect } from 'react';
import { Item } from 'Order';
import {
    Table,
    Thead,
    Tbody,
    Tfoot,
    Tr,
    Th,
    Td,
    TableCaption,
    Input,
    Wrap,
    WrapItem
  } from "@chakra-ui/react"

const OrderShowDetails = (props: any) => {
    const [items, setItems] = useState<Item[]>()
    useEffect(() => {
        setItems(props.items)
    }, [props.items])

    const itemMap = (items: Item[]) => {
        return items.map((item: Item, idx: number) => {
            return (
                <tr key={idx}>
                    <td>{item.itemId}</td>
                    <td>{item.itemPrice}</td>
                    <td>{item.itemQuantity}</td>
                    <td>{item.itemSku}</td>
                </tr>
            )
        });
    }

    const itemDetails = items ? itemMap(items) : <></>
    
    return (
        items ? 
            <Table variant="striped" colorScheme="messenger" size="lg">
                <Tbody>
                    <Tr>
                        <Th>ID</Th>
                        <Th>Price</Th>
                        <Th>Quantity</Th>
                        <Th>SKU</Th>
                    </Tr>
                    {itemDetails}
                </Tbody>
            </Table>
        :
            <div className="Order without items">
                This order didn't contain any items.
            </div>
    )
}

export default OrderShowDetails
